%define api		1.0
%define major		1
%define libname		%mklibname insane %{major}
%define libname_g	%mklibname insane_gobject %{major}
%define girinsanename	%mklibname insane-gir %{api}
%define develname	%mklibname insane -d

Name:		libinsane
Version:	1.0.3
Release:	%mkrel 1
Summary:	Cross-platform access to image scanners
Group:		System/Libraries
License:	LGPLv3+
URL:		https://doc.openpaper.work/libinsane/latest/
Source0:	https://gitlab.gnome.org/World/OpenPaperwork/%{name}/-/archive/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	doxygen
BuildRequires:	gcc
BuildRequires:  gtk-doc
BuildRequires:	meson
BuildRequires:	sane-backends
BuildRequires:	vala
BuildRequires:	pkgconfig(sane-backends)
BuildRequires:	pkgconfig(cunit)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)

%description
Libinsane is the library to access scanners on both Linux and Windows. It's
cross-platform, cross-programming languages, cross-scanners :-). It takes care
of all the quirks of all the platforms and scanners.

#------------------------------------------------

%package -n	%{libname}
Summary:	elementary companion library for GTK+ and GLib
Group:		System/Libraries

%description -n	%{libname}
Libinsane is the library to access scanners on both Linux and Windows. It's
cross-platform, cross-programming languages, cross-scanners :-). It takes care
of all the quirks of all the platforms and scanners.

#------------------------------------------------


%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%setup -q

%build
%meson
%meson_build
%meson_build subprojects/libinsane/doc/doc_out

%install
%meson_install

%check
%meson_test -v

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*
%{_libdir}/%{name}_gobject.so.%{major}*
%{_libdir}/girepository-1.0/Libinsane-%{api}.typelib

%files -n %{develname}
%{_includedir}/%{name}/
%{_includedir}/%{name}-gobject/
%{_libdir}/%{name}.so
%{_libdir}/%{name}_gobject.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/Libinsane-%{api}.gir
%{_datadir}/gtk-doc/html/libinsane-gobject/
%{_datadir}/vala/vapi/%{name}.deps
%{_datadir}/vala/vapi/%{name}.vapi


%changelog
* Sat Dec 28 2019 tex - 1.0.3-1pclos2019
- new version: 1.0.3
